Page MenuHomeVyOS Platform

"show vpn ipsec policy" does not work in VyOS 1.2 rc3
Closed, ResolvedPublicBUG

Description

The following does not work:

vyos@vyos:~$ show vpn ipsec policy
RTNETLINK answers: Operation not permitted
Dump terminated

But when we start vbash as root it does:

vyos@vyos:~$ sudo vbash
vbash-4.1# vbash-4.1#  show vpn ipsec policy
src 0.0.0.0/0 dst 0.0.0.0/0
        socket in priority 0 ptype main
src 0.0.0.0/0 dst 0.0.0.0/0
        socket out priority 0 ptype main
src 0.0.0.0/0 dst 0.0.0.0/0
        socket in priority 0 ptype main
src 0.0.0.0/0 dst 0.0.0.0/0
        socket out priority 0 ptype main
src ::/0 dst ::/0
        socket in priority 0 ptype main
src ::/0 dst ::/0
        socket out priority 0 ptype main
src ::/0 dst ::/0
        socket in priority 0 ptype main
src ::/0 dst ::/0
        socket out priority 0 ptype main

(The output was truncated for security reasons)

Details

Difficulty level
Unknown (require assessment)
Version
VyOS 1.2.0-rc3
Why the issue appeared?
Will be filled on close

Event Timeline

adestis created this task.Oct 24 2018, 9:38 AM
syncer triaged this task as Normal priority.Oct 24 2018, 4:38 PM
agv added a subscriber: agv.Oct 31 2018, 10:32 AM

Same behaviour also with this comand:

vyos@vyos:~$ show vpn ipsec state
RTNETLINK answers: Operation not permitted
Dump terminated
pasik added a subscriber: pasik.Nov 4 2018, 11:21 AM
dmbaturin closed this task as Resolved.Nov 5 2018, 12:21 AM
dmbaturin claimed this task.
dmbaturin added a subscriber: dmbaturin.

Yeah, missing sudo. Thanks for finding it!